Subject: Re: [PATCH net] selftests: netdevsim: Fix ethtool-features.sh fail

From: Sabrina Dubroca <[email-masked]>
Date: Mon, 3 Nov 2025 11:13:08 +0100

2025-10-30, 17:02:17 -0700, Jakub Kicinski wrote:
> On Fri, 31 Oct 2025 00:13:59 +0100 Sabrina Dubroca wrote:
> > >  set -o pipefail
> > >  
> > > +if ! ethtool --json -k $NSIM_NETDEV > /dev/null 2>&1; then  
> > 
> > I guess it's improving the situation, but I've got a system with an
> > ethtool that accepts the --json argument, but silently ignores it for
> >  -k (ie `ethtool --json -k $DEV` succeeds but doesn't produce a json
> > output), which will still cause the test to fail later.
> 
> And --json was added to -k in Jan 2022, that's pretty long ago.
> I'm not sure we need this aspect of the patch at all..

Ok.  Then maybe a silly idea: for the tests that currently have some
form of "$TOOL is too old" check, do we want to remove those after a
while? If so, how long after the feature was introduced in $TOOL?

Or should we leave them, but not accept new checks to exclude
really-old versions of tools?  Do we need to document the cut-off ("we
don't support tool versions older than 2 years for networking
selftests" [or similar]) somewhere in Documentation/ ?

-- 
Sabrina